# -*- coding: utf-8 -*-
"""xtyping ~ extended typing"""

from xtyping import _xtyping as xt
from xtyping._meta import __version__
from xtyping._xtyping import (
    _DT,
    _R,
    _RT,
    _T,
    DT,
    FN,
    IO,
    RT,
    STDIN,
    STDIO,
    TYPE_CHECKING,
    AbstractSet,
    Any,
    AnyCallable,
    AnyFunction,
    AnyIterable,
    AnyIterator,
    AnyStr,
    ArrShape,
    AsyncContextManager,
    AsyncGenerator,
    AsyncIterable,
    AsyncIterator,
    Awaitable,
    Bytes,
    ByteString,
    Callable,
    ChainMap,
    ClassVar,
    Collection,
    Container,
    ContextManager,
    Coroutine,
    Counter,
    Decimal,
    DefaultDict,
    Deque,
    Dict,
    DictAny,
    DictFloat,
    DictInt,
    DictNumber,
    DictStr,
    El,
    Element,
    EnvMap,
    Flint,
    ForwardRef,
    FrozenSet,
    FsPath,
    FsPathLike,
    Generator,
    Generic,
    Hashable,
    IntStr,
    ItemsView,
    Iterable,
    IterableAny,
    IterableFloat,
    IterableInt,
    IterableNumber,
    IterableStr,
    IterableT,
    Iterator,
    JsonArrT,
    JsonDictT,
    JsonListT,
    JsonObjT,
    KeysView,
    List,
    ListAny,
    ListFloat,
    ListInt,
    ListNumber,
    ListStr,
    ListT,
    Mapping,
    MappingView,
    MutableMapping,
    MutableSequence,
    MutableSet,
    N,
    NamedTuple,
    NewType,
    NoneBytes,
    NoneStr,
    NoneStrBytes,
    NoneType,
    Num,
    Number,
    OptInt,
    OptIntFloat,
    OptIntFloatDecimal,
    Optional,
    OptionalInt,
    OptionalIntFloat,
    Path,
    PathLike,
    R,
    ReturnType,
    Reversible,
    Sequence,
    Set,
    SetAny,
    SetFloat,
    SetInt,
    SetNumber,
    SetStr,
    SetT,
    Sized,
    StrBytes,
    StrIntFloat,
    SupportsAbs,
    SupportsBytes,
    SupportsComplex,
    SupportsFloat,
    SupportsInt,
    SupportsRound,
    T,
    Text,
    Tuple,
    Txt,
    Type,
    TypeVar,
    Union,
    ValuesView,
    _get_base_generic,
    cast,
    evaluate_forwardref,
    get_type_hints,
    no_type_check,
    no_type_check_decorator,
    overload,
)


__all__ = [
    '__version__',
    'xt',
    'AbstractSet',
    'Any',
    'AnyCallable',
    'AnyFunction',
    'AnyIterable',
    'AnyIterator',
    'AnyStr',
    'ArrShape',
    'AsyncContextManager',
    'AsyncGenerator',
    'AsyncIterable',
    'AsyncIterator',
    'Awaitable',
    'ByteString',
    'Bytes',
    'Callable',
    'ChainMap',
    'ClassVar',
    'Collection',
    'Container',
    'ContextManager',
    'Coroutine',
    'Counter',
    'DT',
    'Decimal',
    'DefaultDict',
    'Deque',
    'Dict',
    'DictAny',
    'DictFloat',
    'DictInt',
    'DictNumber',
    'DictStr',
    'El',
    'Element',
    'EnvMap',
    'FN',
    'Flint',
    'ForwardRef',
    'FrozenSet',
    'FsPath',
    'FsPathLike',
    'Generator',
    'Generic',
    'Hashable',
    'IO',
    'IntStr',
    'ItemsView',
    'Iterable',
    'IterableAny',
    'IterableFloat',
    'IterableInt',
    'IterableNumber',
    'IterableStr',
    'IterableT',
    'Iterator',
    'JsonArrT',
    'JsonDictT',
    'JsonListT',
    'JsonObjT',
    'KeysView',
    'List',
    'ListAny',
    'ListFloat',
    'ListInt',
    'ListNumber',
    'ListStr',
    'ListT',
    'Mapping',
    'MappingView',
    'MutableMapping',
    'MutableSequence',
    'MutableSet',
    'N',
    'NamedTuple',
    'NewType',
    'NoneBytes',
    'NoneStr',
    'NoneStrBytes',
    'NoneType',
    'Num',
    'Number',
    'OptInt',
    'OptIntFloat',
    'OptIntFloatDecimal',
    'Optional',
    'OptionalInt',
    'OptionalIntFloat',
    'Path',
    'PathLike',
    'R',
    'RT',
    'ReturnType',
    'Reversible',
    'STDIN',
    'STDIO',
    'Sequence',
    'Set',
    'SetAny',
    'SetFloat',
    'SetInt',
    'SetNumber',
    'SetStr',
    'SetT',
    'Sized',
    'StrBytes',
    'StrIntFloat',
    'SupportsAbs',
    'SupportsBytes',
    'SupportsComplex',
    'SupportsFloat',
    'SupportsInt',
    'SupportsRound',
    'T',
    'TYPE_CHECKING',
    'Text',
    'Tuple',
    'Txt',
    'Type',
    'TypeVar',
    'Union',
    'ValuesView',
    '_DT',
    '_R',
    '_RT',
    '_T',
    '_get_base_generic',
    'cast',
    'evaluate_forwardref',
    'get_type_hints',
    'no_type_check',
    'no_type_check_decorator',
    'overload',
]
